<?php

namespace Lean\Console\Entity\Firewall;

use Ulmus\Attribute\Obj\Table;
use Ulmus\Attribute\Property\Field;

#[Table(adapter: "lean.console")]
class Connection
{
    #[Field\Id]
    public string $id;

    #[Field(length: 12)]
    public string $ipv4;

    #[Field(length: 40)]
    public string $ipv6;

    #[Field]
    public int $connectionTry = 0;


}